-- AUTOGENERATED: 2021-06-18T15:35
module Sound.Sc3.Ugen.Db.Cat where

sc3_ugen_cat :: [(String,String)]
sc3_ugen_cat =
    [("A2K","UGens>Conversion")
    ,("APF","UGens>Filters>Linear,UGens>Undocumented")
    ,("AbstractIn","UGens>InOut")
    ,("AbstractOut","UGens>InOut")
    ,("AllpassC","UGens>Delays")
    ,("AllpassL","UGens>Delays")
    ,("AllpassN","UGens>Delays")
    ,("AmpComp","UGens>Analysis>Amplitude")
    ,("AmpCompA","UGens>Analysis>Amplitude")
    ,("Amplitude","UGens>Analysis>Amplitude")
    ,("AudioControl","Undocumented classes,UGens>Undocumented")
    ,("BAllPass","UGens>Filters>BEQSuite")
    ,("BBandPass","UGens>Filters>BEQSuite")
    ,("BBandStop","UGens>Filters>BEQSuite")
    ,("BEQSuite","UGens>Filters>BEQSuite")
    ,("BHiPass","UGens>Filters>BEQSuite")
    ,("BHiShelf","UGens>Filters>BEQSuite")
    ,("BLowPass","UGens>Filters>BEQSuite")
    ,("BLowShelf","UGens>Filters>BEQSuite")
    ,("BPF","UGens>Filters>Linear")
    ,("BPZ2","UGens>Filters>Linear")
    ,("BPeakEQ","UGens>Filters>BEQSuite")
    ,("BRF","UGens>Filters>Linear")
    ,("BRZ2","UGens>Filters>Linear")
    ,("Balance2","UGens>Multichannel>Panners")
    ,("Ball","UGens>Filters>Nonlinear,UGens>Generators>PhysicalModels")
    ,("BasicOpUGen","UGens>Algebraic")
    ,("BeatTrack","UGens>Analysis,UGens>FFT")
    ,("BeatTrack2","UGens>Analysis,UGens>FFT")
    ,("BiPanB2","UGens>Multichannel>Ambisonics")
    ,("BinaryOpUGen","UGens>Algebraic")
    ,("Blip","UGens>Generators>Deterministic")
    ,("BlockSize","Undocumented classes,UGens>Undocumented")
    ,("BrownNoise","UGens>Generators>Stochastic")
    ,("BufAllpassC","UGens>Delays>Buffer")
    ,("BufAllpassL","UGens>Delays>Buffer")
    ,("BufAllpassN","UGens>Delays>Buffer")
    ,("BufChannels","UGens>Buffer>Info")
    ,("BufCombC","UGens>Delays>Buffer")
    ,("BufCombL","UGens>Delays>Buffer")
    ,("BufCombN","UGens>Delays>Buffer")
    ,("BufDelayC","UGens>Delays>Buffer")
    ,("BufDelayL","UGens>Delays>Buffer")
    ,("BufDelayN","UGens>Delays>Buffer")
    ,("BufDur","UGens>Buffer>Info")
    ,("BufFrames","UGens>Buffer>Info")
    ,("BufInfoUGenBase","UGens>Base")
    ,("BufRateScale","UGens>Buffer>Info")
    ,("BufRd","UGens>Buffer")
    ,("BufSampleRate","UGens>Buffer>Info")
    ,("BufSamples","UGens>Buffer>Info")
    ,("BufWr","UGens>Buffer")
    ,("COsc","UGens>Generators>Deterministic")
    ,("Changed","UGens>Triggers,UGens>Filters>Linear")
    ,("ChaosGen","UGens>Generators>Chaotic")
    ,("CheckBadValues","UGens>Info")
    ,("ClearBuf","Undocumented classes")
    ,("Clip","UGens>Maths")
    ,("ClipNoise","UGens>Generators>Stochastic")
    ,("CoinGate","UGens>Generators>Stochastic")
    ,("CombC","UGens>Delays")
    ,("CombL","UGens>Delays")
    ,("CombN","UGens>Delays")
    ,("Compander","UGens>Dynamics")
    ,("CompanderD","UGens>Dynamics")
    ,("Control","UGens>Synth control")
    ,("ControlDur","UGens>Info")
    ,("ControlRate","UGens>Info")
    ,("Convolution","UGens>FFT,UGens>Convolution")
    ,("Convolution2","UGens>FFT,UGens>Convolution")
    ,("Convolution2L","UGens>FFT,UGens>Convolution")
    ,("Convolution3","UGens>Convolution")
    ,("Crackle","UGens>Generators>Stochastic")
    ,("CuspL","UGens>Generators>Chaotic")
    ,("CuspN","UGens>Generators>Chaotic")
    ,("DC","UGens>Generators>Single-value")
    ,("DUGen","Undocumented classes")
    ,("Dbrown","UGens>Demand")
    ,("Dbufrd","UGens>Buffer,UGens>Demand")
    ,("Dbufwr","UGens>Buffer,UGens>Demand")
    ,("Dconst","UGens>Demand")
    ,("Decay","UGens>Filters>Linear,UGens>Envelopes")
    ,("Decay2","UGens>Filters>Linear,UGens>Envelopes")
    ,("DecodeB2","UGens>Multichannel>Ambisonics")
    ,("DegreeToKey","UGens>Conversion")
    ,("DelTapRd","UGens>Buffer,UGens>Delays")
    ,("DelTapWr","UGens>Buffer,UGens>Delays")
    ,("Delay1","UGens>Delays")
    ,("Delay2","UGens>Delays")
    ,("DelayC","UGens>Delays")
    ,("DelayL","UGens>Delays")
    ,("DelayN","UGens>Delays")
    ,("Demand","UGens>Demand")
    ,("DemandEnvGen","UGens>Demand,UGens>Envelopes")
    ,("DetectIndex","UGens>Buffer")
    ,("DetectSilence","UGens>Synth control,UGens>Analysis>Amplitude")
    ,("Dgeom","UGens>Demand")
    ,("Dibrown","UGens>Demand")
    ,("DiskIn","UGens>InOut,UGens>Buffer")
    ,("DiskOut","UGens>InOut,UGens>Buffer")
    ,("Diwhite","UGens>Demand")
    ,("Done","UGens>Synth control,Server>Nodes")
    ,("Dpoll","UGens>Demand,UGens>Info")
    ,("Drand","UGens>Demand")
    ,("Dreset","UGens>Demand")
    ,("Dseq","UGens>Demand")
    ,("Dser","UGens>Demand")
    ,("Dseries","UGens>Demand")
    ,("Dshuf","UGens>Demand,UGens>Random")
    ,("Dstutter","UGens>Demand")
    ,("Dswitch","UGens>Demand")
    ,("Dswitch1","UGens>Demand")
    ,("Dunique","UGens>Demand")
    ,("Dust","UGens>Generators>Stochastic")
    ,("Dust2","UGens>Generators>Stochastic")
    ,("Duty","UGens>Demand")
    ,("Dwhite","UGens>Demand")
    ,("Dwrand","UGens>Demand,UGens>Random")
    ,("Dxrand","UGens>Demand")
    ,("DynKlang","UGens>Generators>Deterministic")
    ,("DynKlank","UGens>Generators>Deterministic,UGens>Filters>Linear")
    ,("EnvGen","UGens>Envelopes")
    ,("ExpRand","UGens>Random")
    ,("FBSineC","UGens>Generators>Chaotic")
    ,("FBSineL","UGens>Generators>Chaotic")
    ,("FBSineN","UGens>Generators>Chaotic")
    ,("FFT","UGens>FFT")
    ,("FFTTrigger","UGens>FFT")
    ,("FOS","UGens>Filters>Linear")
    ,("FSinOsc","UGens>Generators>Deterministic")
    ,("Filter","UGens>Filters")
    ,("Fold","UGens>Maths")
    ,("Formant","UGens>Generators>Deterministic")
    ,("Formlet","UGens>Filters>Linear")
    ,("Free","UGens>Synth control")
    ,("FreeSelf","UGens>Synth control")
    ,("FreeSelfWhenDone","UGens>Synth control")
    ,("FreeVerb","UGens>Reverbs")
    ,("FreeVerb2","UGens>Reverbs")
    ,("FreqShift","UGens>Filters>Nonlinear,UGens>Filters>Pitch")
    ,("GVerb","UGens>Reverbs")
    ,("Gate","UGens>Triggers")
    ,("GbmanL","UGens>Generators>Chaotic")
    ,("GbmanN","UGens>Generators>Chaotic")
    ,("Gendy1","UGens>Generators>Stochastic")
    ,("Gendy2","UGens>Generators>Stochastic")
    ,("Gendy3","UGens>Generators>Stochastic")
    ,("GrainBuf","UGens>Buffer,UGens>Generators>Granular")
    ,("GrainFM","UGens>Generators>Granular")
    ,("GrainIn","UGens>Generators>Granular")
    ,("GrainSin","UGens>Generators>Granular")
    ,("GrayNoise","UGens>Generators>Stochastic")
    ,("HPF","UGens>Filters>Linear")
    ,("HPZ1","UGens>Filters>Linear")
    ,("HPZ2","UGens>Filters>Linear")
    ,("Hasher","UGens>Filters>Nonlinear,UGens>Random")
    ,("HenonC","UGens>Generators>Chaotic")
    ,("HenonL","UGens>Generators>Chaotic")
    ,("HenonN","UGens>Generators>Chaotic")
    ,("Hilbert","UGens>Filters>Nonlinear")
    ,("HilbertFIR","UGens>Filters>Nonlinear")
    ,("IEnvGen","UGens>Envelopes")
    ,("IFFT","UGens>FFT")
    ,("IRand","UGens>Random")
    ,("Impulse","UGens>Generators>Deterministic")
    ,("In","UGens>InOut")
    ,("InFeedback","UGens>InOut")
    ,("InRange","UGens>Maths")
    ,("InRect","UGens>Maths")
    ,("InTrig","UGens>InOut,UGens>Triggers")
    ,("Index","UGens>Buffer")
    ,("IndexInBetween","UGens>Buffer")
    ,("IndexL","UGens>Buffer")
    ,("InfoUGenBase","UGens>Base")
    ,("Integrator","UGens>Filters>Linear,UGens>Maths")
    ,("K2A","UGens>Conversion")
    ,("KeyState","UGens>User interaction")
    ,("KeyTrack","UGens>Analysis>Pitch")
    ,("Klang","UGens>Generators>Deterministic")
    ,("Klank","UGens>Generators>Deterministic,UGens>Filters>Linear")
    ,("LFClipNoise","UGens>Generators>Stochastic")
    ,("LFCub","UGens>Generators>Deterministic")
    ,("LFDClipNoise","UGens>Generators>Stochastic")
    ,("LFDNoise0","UGens>Generators>Stochastic")
    ,("LFDNoise1","UGens>Generators>Stochastic")
    ,("LFDNoise3","UGens>Generators>Stochastic")
    ,("LFGauss","UGens>Generators>Deterministic")
    ,("LFNoise0","UGens>Generators>Stochastic")
    ,("LFNoise1","UGens>Generators>Stochastic")
    ,("LFNoise2","UGens>Generators>Stochastic")
    ,("LFPar","UGens>Generators>Deterministic")
    ,("LFPulse","UGens>Generators>Deterministic")
    ,("LFSaw","UGens>Generators>Deterministic")
    ,("LFTri","UGens>Generators>Deterministic")
    ,("LPF","UGens>Filters>Linear")
    ,("LPZ1","UGens>Filters>Linear")
    ,("LPZ2","UGens>Filters>Linear")
    ,("Lag","UGens>Filters>Linear")
    ,("Lag2","UGens>Filters>Linear")
    ,("Lag2UD","UGens>Filters")
    ,("Lag3","UGens>Filters>Linear")
    ,("Lag3UD","UGens>Filters")
    ,("LagControl","UGens>Synth control")
    ,("LagIn","UGens>InOut")
    ,("LagUD","UGens>Filters")
    ,("LastValue","UGens>Triggers")
    ,("Latch","UGens>Triggers")
    ,("LatoocarfianC","UGens>Generators>Chaotic")
    ,("LatoocarfianL","UGens>Generators>Chaotic")
    ,("LatoocarfianN","UGens>Generators>Chaotic")
    ,("LeakDC","UGens>Filters>Linear")
    ,("LeastChange","UGens>Maths")
    ,("Limiter","UGens>Dynamics")
    ,("LinCongC","UGens>Generators>Chaotic")
    ,("LinCongL","UGens>Generators>Chaotic")
    ,("LinCongN","UGens>Generators>Chaotic")
    ,("LinExp","UGens>Maths")
    ,("LinPan2","UGens>Multichannel>Panners")
    ,("LinRand","UGens>Random")
    ,("LinXFade2","UGens>Multichannel>Select")
    ,("Line","UGens>Envelopes")
    ,("Linen","UGens>Envelopes")
    ,("ListDUGen","Undocumented classes")
    ,("LocalBuf","UGens>Buffer")
    ,("LocalIn","UGens>InOut")
    ,("LocalOut","UGens>InOut")
    ,("Logistic","UGens>Generators>Chaotic")
    ,("LorenzL","UGens>Generators>Chaotic")
    ,("Loudness","UGens>Analysis>Amplitude")
    ,("MFCC","UGens>Analysis")
    ,("MantissaMask","UGens>Filters>Nonlinear")
    ,("MaxLocalBufs","UGens>InOut")
    ,("Median","UGens>Filters>Nonlinear")
    ,("MidEQ","UGens>Filters>Linear")
    ,("ModDif","UGens>Maths")
    ,("MoogFF","UGens>Filters")
    ,("MostChange","UGens>Maths")
    ,("MouseButton","UGens>User interaction")
    ,("MouseX","UGens>User interaction")
    ,("MouseY","UGens>User interaction")
    ,("MulAdd","UGens>Maths")
    ,("MultiOutUGen","UGens>Base")
    ,("NRand","UGens>Random")
    ,("NodeID","Undocumented classes,UGens>Undocumented")
    ,("Normalizer","UGens>Dynamics")
    ,("NumAudioBuses","UGens>Info")
    ,("NumBuffers","UGens>Info")
    ,("NumControlBuses","UGens>Info")
    ,("NumInputBuses","UGens>Info")
    ,("NumOutputBuses","UGens>Info")
    ,("NumRunningSynths","UGens>Info")
    ,("OffsetOut","UGens>InOut")
    ,("OnePole","UGens>Filters>Linear")
    ,("OneZero","UGens>Filters>Linear")
    ,("Onsets","UGens>Analysis")
    ,("Osc","UGens>Generators>Deterministic")
    ,("OscN","UGens>Generators>Deterministic")
    ,("Out","UGens>InOut")
    ,("OutputProxy","UGens>Base")
    ,("PSinGrain","UGens>Generators>Deterministic")
    ,("PV_Add","UGens>FFT")
    ,("PV_BinScramble","UGens>FFT")
    ,("PV_BinShift","UGens>FFT")
    ,("PV_BinWipe","UGens>FFT")
    ,("PV_BrickWall","UGens>FFT")
    ,("PV_ChainUGen","UGens>FFT")
    ,("PV_ConformalMap","UGens>FFT")
    ,("PV_Conj","UGens>FFT")
    ,("PV_Copy","UGens>FFT")
    ,("PV_CopyPhase","UGens>FFT")
    ,("PV_Diffuser","UGens>FFT")
    ,("PV_Div","UGens>FFT")
    ,("PV_HainsworthFoote","UGens>FFT")
    ,("PV_JensenAndersen","UGens>FFT")
    ,("PV_LocalMax","UGens>FFT")
    ,("PV_MagAbove","UGens>FFT")
    ,("PV_MagBelow","UGens>FFT")
    ,("PV_MagClip","UGens>FFT")
    ,("PV_MagDiv","UGens>FFT")
    ,("PV_MagFreeze","UGens>FFT")
    ,("PV_MagMul","UGens>FFT")
    ,("PV_MagNoise","UGens>FFT")
    ,("PV_MagShift","UGens>FFT")
    ,("PV_MagSmear","UGens>FFT")
    ,("PV_MagSquared","UGens>FFT")
    ,("PV_Max","UGens>FFT")
    ,("PV_Min","UGens>FFT")
    ,("PV_Mul","UGens>FFT")
    ,("PV_PhaseShift","UGens>FFT")
    ,("PV_PhaseShift270","UGens>FFT")
    ,("PV_PhaseShift90","UGens>FFT")
    ,("PV_RandComb","UGens>FFT")
    ,("PV_RandWipe","UGens>FFT")
    ,("PV_RectComb","UGens>FFT")
    ,("PV_RectComb2","UGens>FFT")
    ,("PackFFT","UGens>FFT")
    ,("Pan2","UGens>Multichannel>Panners")
    ,("Pan4","UGens>Multichannel>Panners")
    ,("PanAz","UGens>Multichannel>Panners")
    ,("PanB","UGens>Multichannel>Ambisonics")
    ,("PanB2","UGens>Multichannel>Ambisonics")
    ,("PartConv","UGens>FFT,UGens>Convolution")
    ,("Pause","UGens>Synth control")
    ,("PauseSelf","UGens>Synth control")
    ,("PauseSelfWhenDone","UGens>Synth control,UGens>Undocumented")
    ,("Peak","UGens>Analysis>Amplitude")
    ,("PeakFollower","UGens>Analysis>Amplitude")
    ,("Phasor","UGens>Triggers,UGens>Buffer")
    ,("PinkNoise","UGens>Generators>Stochastic")
    ,("Pitch","UGens>Analysis>Pitch")
    ,("PitchShift","UGens>Filters>Pitch")
    ,("PlayBuf","UGens>Buffer")
    ,("Pluck","UGens>Delays")
    ,("Poll","UGens>Info")
    ,("Pulse","UGens>Generators>Deterministic")
    ,("PulseCount","UGens>Triggers")
    ,("PulseDivider","UGens>Triggers")
    ,("PureMultiOutUGen","Undocumented classes")
    ,("PureUGen","UGens")
    ,("QuadC","UGens>Generators>Chaotic")
    ,("QuadL","UGens>Generators>Chaotic")
    ,("QuadN","UGens>Generators>Chaotic")
    ,("RHPF","UGens>Filters>Linear")
    ,("RLPF","UGens>Filters>Linear")
    ,("RadiansPerSample","UGens>Info")
    ,("Ramp","UGens>Filters>Linear")
    ,("Rand","UGens>Random")
    ,("RandID","UGens>Generators>Stochastic,UGens>Random")
    ,("RandSeed","UGens>Generators>Stochastic,UGens>Random")
    ,("RecordBuf","UGens>Buffer")
    ,("ReplaceOut","UGens>InOut")
    ,("Resonz","UGens>Filters>Linear")
    ,("Ringz","UGens>Filters>Linear")
    ,("Rotate2","UGens>Multichannel>Ambisonics,UGens>Multichannel>Panners")
    ,("RunningMax","UGens>Maths")
    ,("RunningMin","UGens>Maths")
    ,("RunningSum","UGens>Analysis,UGens>Maths")
    ,("SOS","UGens>Filters>Linear")
    ,("SampleDur","UGens>Info")
    ,("SampleRate","UGens>Info")
    ,("Sanitize","UGens>Info")
    ,("Saw","UGens>Generators>Deterministic")
    ,("Schmidt","UGens>Maths")
    ,("ScopeOut","UGens>Buffer,UGens>Undocumented")
    ,("ScopeOut2","Undocumented classes,UGens>Undocumented")
    ,("Select","UGens>Multichannel>Select")
    ,("SendPeakRMS","UGens>Analysis>Amplitude")
    ,("SendReply","UGens>Triggers")
    ,("SendTrig","UGens>Triggers")
    ,("SetBuf","Undocumented classes")
    ,("SetResetFF","UGens>Triggers")
    ,("Shaper","UGens>Buffer")
    ,("SinOsc","UGens>Generators>Deterministic")
    ,("SinOscFB","UGens>Generators>Deterministic,UGens>Generators>Chaotic")
    ,("Slew","UGens>Filters>Nonlinear")
    ,("Slope","UGens>Analysis,UGens>Filters>Linear,UGens>Maths")
    ,("SpecCentroid","UGens>FFT")
    ,("SpecFlatness","UGens>FFT")
    ,("SpecPcile","UGens>FFT")
    ,("Splay","UGens>Multichannel>Panners")
    ,("SplayAz","UGens>Multichannel>Panners")
    ,("Spring","UGens>Filters>Nonlinear,UGens>Generators>PhysicalModels")
    ,("StandardL","UGens>Generators>Chaotic")
    ,("StandardN","UGens>Generators>Chaotic")
    ,("Stepper","UGens>Triggers")
    ,("StereoConvolution2L","UGens>FFT,UGens>Convolution")
    ,("SubsampleOffset","UGens>Info")
    ,("Sum3","UGens>Algebraic")
    ,("Sum4","UGens>Algebraic")
    ,("Sweep","UGens>Triggers")
    ,("SyncSaw","UGens>Generators>Deterministic")
    ,("T2A","UGens>Conversion,UGens>Triggers")
    ,("T2K","UGens>Conversion,UGens>Triggers")
    ,("TBall","UGens>Filters>Nonlinear,UGens>Generators>PhysicalModels")
    ,("TDelay","UGens>Triggers,UGens>Delays")
    ,("TDuty","UGens>Demand")
    ,("TExpRand","UGens>Random,UGens>Triggers")
    ,("TGrains","UGens>Buffer,UGens>Generators>Granular")
    ,("TIRand","UGens>Random,UGens>Triggers")
    ,("TRand","UGens>Random,UGens>Triggers")
    ,("TWindex","UGens>Random,UGens>Triggers")
    ,("Tap","UGens>Buffer,UGens>Delays>Buffer")
    ,("Timer","UGens>Triggers")
    ,("ToggleFF","UGens>Triggers")
    ,("Trig","UGens>Triggers")
    ,("Trig1","UGens>Triggers")
    ,("TrigControl","UGens>Synth control,UGens>Undocumented")
    ,("TwoPole","UGens>Filters>Linear")
    ,("TwoZero","UGens>Filters>Linear")
    ,("UnaryOpUGen","UGens>Algebraic")
    ,("Unpack1FFT","UGens>FFT,UGens>Demand")
    ,("UnpackFFT","UGens>FFT,UGens>Demand")
    ,("VDiskIn","UGens>InOut,UGens>Buffer")
    ,("VOsc","UGens>Generators>Deterministic")
    ,("VOsc3","UGens>Generators>Deterministic")
    ,("VarLag","UGens>Filters>Linear")
    ,("VarSaw","UGens>Generators>Deterministic")
    ,("Vibrato","UGens>Generators>Deterministic,UGens>Generators>Stochastic,UGens>Filters>Pitch")
    ,("Warp1","UGens>Buffer,UGens>Generators>Granular")
    ,("WhiteNoise","UGens>Generators>Stochastic")
    ,("WidthFirstUGen","Undocumented classes")
    ,("Wrap","UGens>Maths")
    ,("WrapIndex","UGens>Buffer")
    ,("XFade2","UGens>Multichannel>Select")
    ,("XLine","UGens>Envelopes")
    ,("XOut","UGens>InOut")
    ,("ZeroCrossing","UGens>Analysis>Pitch")
    ]
